User: Password:
|
|
Subscribe / Log in / New account

Fedora alert FEDORA-2013-22860 (qt)

From:  updates@fedoraproject.org
To:  package-announce@lists.fedoraproject.org
Subject:  [SECURITY] Fedora 20 Update: qt-4.8.5-15.fc20
Date:  Wed, 22 Jan 2014 23:03:31 +0000
Message-ID:  <20140122230331.67A2422788@bastion01.phx2.fedoraproject.org>

-------------------------------------------------------------------------------- Fedora Update Notification FEDORA-2013-22860 2013-12-06 19:44:32 -------------------------------------------------------------------------------- Name : qt Product : Fedora 20 Version : 4.8.5 Release : 15.fc20 URL : http://qt-project.org/ Summary : Qt toolkit Description : Qt is a software toolkit for developing applications. This package contains base tools, like string, xml, and network handling. -------------------------------------------------------------------------------- Update Information: Qt Project Security Advisory: XML Entity Expansion Denial of Service (CVE-2013-4549) See also http://lists.qt-project.org/pipermail/announce/2013-Decem... In addition, this update: * adds support for the aarch64 architecture, * fixes QTBUG-35459, a too low character limit for XML entities enforced by the fix for CVE-2013-4549 that was breaking real-world XML files (in particular, the KatePart Lilypond syntax highlighting description), * fixes QTBUG-35460, a misspelling in the error message produced by the CVE-2013-4549 fix when the character limit for XML entities was exceeded, * reverts the faulty "Discover printers shared by CUPS 1.6 (#980952)" patch, which broke default printer selection and caused crash bug #1054312. -------------------------------------------------------------------------------- ChangeLog: * Fri Jan 17 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.8.5-15 - drop "Discover printers shared by CUPS 1.6 (#980952)" (#1054312, #980952#c18) * Mon Jan 13 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.8.5-14 - fix QTBUG-35459 (too low entityCharacterLimit=1024 for CVE-2013-4549) - fix QTBUG-35460 (error message for CVE-2013-4549 is misspelled) * Mon Dec 23 2013 Peter Robinson <pbrobinson@fedoraproject.org> 4.8.5-13 - Add support for aarch64 (#1046360) * Thu Dec 5 2013 Rex Dieter <rdieter@fedoraproject.org> 4.8.5-12 - XML Entity Expansion Denial of Service (CVE-2013-4549) * Wed Oct 9 2013 Rex Dieter <rdieter@fedoraproject.org> 4.8.5-11 - Discover printers shared by CUPS 1.6 (#980952) -------------------------------------------------------------------------------- References: [ 1 ] Bug #1054312 - Qtprinter crashes when opening the print dialogue https://bugzilla.redhat.com/show_bug.cgi?id=1054312 -------------------------------------------------------------------------------- This update can be installed with the "yum" update program. Use su -c 'yum update qt' at the command line. For more information, refer to "Managing Software with yum", available at http://docs.fedoraproject.org/yum/. All packages are signed with the Fedora Project GPG key. More details on the GPG keys used by the Fedora Project can be found at https://fedoraproject.org/keys -------------------------------------------------------------------------------- _______________________________________________ package-announce mailing list package-announce@lists.fedoraproject.org https://admin.fedoraproject.org/mailman/listinfo/package-...


(Log in to post comments)


Copyright © 2017, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds